Package org.apache.commons.math3.ode.nonstiff

# Class LutherIntegrator

java.lang.Object
org.apache.commons.math3.ode.AbstractIntegrator
org.apache.commons.math3.ode.nonstiff.RungeKuttaIntegrator
org.apache.commons.math3.ode.nonstiff.LutherIntegrator

All Implemented Interfaces:
  `FirstOrderIntegrator`, `ODEIntegrator`

public class LutherIntegrator extends RungeKuttaIntegrator
This class implements the Luther sixth order Runge-Kutta integrator for Ordinary Differential Equations.

This method is described in H. A. Luther 1968 paper An explicit Sixth-Order Runge-Kutta Formula.

This method is an explicit Runge-Kutta method, its Butcher-array is the following one :

            0   |               0                     0                     0                     0                     0                     0
            1   |               1                     0                     0                     0                     0                     0
           1/2  |              3/8                   1/8                    0                     0                     0                     0
           2/3  |              8/27                  2/27                  8/27                   0                     0                     0
       (7-q)/14 | (  -21 +   9q)/392    (  -56 +   8q)/392    (  336 -  48q)/392    (  -63 +   3q)/392                  0                     0
       (7+q)/14 | (-1155 - 255q)/1960   ( -280 -  40q)/1960   (    0 - 320q)/1960   (   63 + 363q)/1960   ( 2352 + 392q)/1960                 0
            1   | (  330 + 105q)/180    (  120 +   0q)/180    ( -200 + 280q)/180    (  126 - 189q)/180    ( -686 - 126q)/180     ( 490 -  70q)/180
                |--------------------------------------------------------------------------------------------------------------------------------------------------
                |              1/20                   0                   16/45                  0                   49/180                 49/180         1/20

where q = √21

Since:
  3.3
See Also:
  - `EulerIntegrator`
  - `ClassicalRungeKuttaIntegrator`
  - `GillIntegrator`
  - `MidpointIntegrator`
  - `ThreeEighthesIntegrator`

## Field Summary

### Fields inherited from class org.apache.commons.math3.ode.AbstractIntegrator

`isLastStep, resetOccurred, stepHandlers, stepSize, stepStart`

## Constructor Summary

Constructors
Constructor
Description
`LutherIntegrator(double step)`
Simple constructor.

## Method Summary

### Methods inherited from class org.apache.commons.math3.ode.nonstiff.RungeKuttaIntegrator

`integrate, singleStep`

### Methods inherited from class org.apache.commons.math3.ode.AbstractIntegrator

`acceptStep, addEventHandler, addEventHandler, addStepHandler, clearEventHandlers, clearStepHandlers, computeDerivatives, getCounter, getCurrentSignedStepsize, getCurrentStepStart, getEvaluations, getEvaluationsCounter, getEventHandlers, getExpandable, getMaxEvaluations, getName, getStepHandlers, initIntegration, integrate, sanityChecks, setEquations, setMaxEvaluations, setStateInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LutherIntegrator

public LutherIntegrator(double step)
Simple constructor. Build a fourth-order Luther integrator with the given step.

Parameters:
  `step` - integration step